"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Exception extends Error {
    constructor(name, message) {
        super(message);
        this.name = name;
        this.stack = (new Error(message)).stack;
    }
}
exports.Exception = Exception;
class IllegalStateException extends Exception {
    constructor(message = "") {
        super("IllegalStateException", message);
    }
}
exports.IllegalStateException = IllegalStateException;
class IllegalArgumentException extends Exception {
    constructor(message = "") {
        super("IllegalArgumentException", message);
    }
}
exports.IllegalArgumentException = IllegalArgumentException;
class NullPointException extends Exception {
    constructor(message = "") {
        super("NullPointException", message);
    }
}
exports.NullPointException = NullPointException;
class UnsupportedOperationException extends Exception {
    constructor(message = "") {
        super("UnsupportedOperationException", message);
    }
}
exports.UnsupportedOperationException = UnsupportedOperationException;
class IndexOutOfBoundsException extends Exception {
    constructor(message = "") {
        super("IndexOutOfBoundsException", message);
    }
}
exports.IndexOutOfBoundsException = IndexOutOfBoundsException;
class NoSuchElementException extends Exception {
    constructor(message = "") {
        super("NoSuchElementException", message);
    }
}
exports.NoSuchElementException = NoSuchElementException;
//# sourceMappingURL=exception.js.map